Name:           compat-SFML16
Version:        1.6
Release:        13%{?dist}
Summary:        Simple and Fast Multimedia Library
# src/SFML/Audio/stb_vorbis/stb_vorbis.{c,h} are Public Domain
License:        zlib and Public Domain
URL:            http://www.sfml-dev.org/
# http://downloads.sourceforge.net/sfml/SFML-%%{version}-sdk-linux-64.tar.gz
# contains a few non-free fonts, use the cleaned Debian sources instead
Source0:        ftp://ftp.nluug.nl/pub/os/Linux/distr/debian/pool/main/libs/libsfml/libsfml_1.6+dfsg2.orig.tar.gz
# While at it we might just as well use Debian's patches, which are identical
# to the ones we were using before
Patch0:         ftp://ftp.nluug.nl/pub/os/Linux/distr/debian/pool/main/libs/libsfml/libsfml_1.6+dfsg2-2.diff.gz
Patch1:         SFML-1.6-missing-includes.patch
BuildRequires:  freetype-devel
BuildRequires:  glew-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libsndfile-devel
BuildRequires:  SOIL-devel
BuildRequires:  libXrandr-devel
BuildRequires:  openal-devel

%description
SFML is a portable and easy to use multimedia API written in C++. You can see
it as a modern, object-oriented alternative to SDL.
SFML is composed of several packages to perfectly suit your needs. You can use
SFML as a minimal windowing system to interface with OpenGL, or as a
fully-featured multimedia library for building games or interactive programs.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n libsfml-%{version}.orig
%patch0 -p1
for i in debian/patches/debian/*; do
    patch -p1 --fuzz=0 < $i;
done
%patch1 -p1

# for -devel %%doc
rm doc/SFML.chm

# fix line endings
find . -type f -not \( -name \*.gif -o -name \*.jpg -o -name \*.png -o -name \*.ttf -o -name \*.wav \) -exec sed -i "s|\r||" {} \;

# fix permissions
find . -type f -exec chmod -x {} \;


%build
make %{?_smp_mflags} DEBUGFLAGS="$RPM_OPT_FLAGS"


%install
%make_install DESTLIBDIR=$RPM_BUILD_ROOT%{_libdir} \
    DESTINCDIR=$RPM_BUILD_ROOT%{_includedir}/sfml1
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Make parallel installable with 2.x, packages which still use 1.6 will
# need to have their build files patched to match
pushd $RPM_BUILD_ROOT%{_libdir}
for i in libsfml-*.so; do
    mv $i $(echo $i | sed 's/.so/-1.6.so/')
done
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc readme-en.txt
%license license.txt
%{_libdir}/*.so.*

%files devel
%doc doc/*
%{_includedir}/sfml1/
%{_libdir}/*-1.6.so


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 10 2017 Orion Poplawski <orion@cora.nwra.com> - 1.6-12
- Rebuild for glew 2.0.0

* Sat Feb 20 2016 Hans de Goede <hdegoede@redhat.com> - 1.6-11
- Remove bundled non-free fonts (rhbz#1032865)
- Fix patch backup files getting installed
- Properly make SFML libs which depends on other SFML libs interlink

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 14 2016 Adam Jackson <ajax@redhat.com> - 1.6-9
- Rebuild for glew 1.13

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.6-7
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Nov 18 2013 Hans de Goede <hdegoede@redhat.com> - 1.6-4
- Also rename the libsfml-foo.so symlinks to avoid conflicts with SFML 2.x

* Fri Nov 15 2013 Michael Schwendt <mschwendt@fedoraproject.org> - 1.6-3
- Move headers to /usr/include/sfml1/ so SFML 2.x can be fixed to use
  default install locations as used also by its CMake script (#1023572).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 26 2013 Hans de Goede <hdegoede@redhat.com> - 1.6-1
- Rename to compat-SFML16, the SFML will be taken by SFML 2.0 (rhbz#979801)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1.6-9
- rebuild due to "jpeg8-ABI" feature drop

* Thu Dec 13 2012 Adam Jackson <ajax@redhat.com> - 1.6-8
- Rebuild for glew 1.9.0

* Fri Jul 27 2012 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-7
- Rebuilt for glew-1.7

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-4
- Fixed the License tag

* Thu Jan 12 2012 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-3
- Use one patch and variables in place of sed to fix the makefile
- Fixed building with libpng-1.5 using a patch from Gentoo
- Updated the gcc patch for gcc-4.7

* Fri Dec 23 2011 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-2
- s/libSOIL/SOIL
- Fixed the shared libs usage

* Wed Nov 30 2011 Julian Sikorski <belegdol@fedoraproject.org> - 1.6-1
- Initial RPM release based on Debian package

